- Qt 6.10
- Qt Qml
- C++ Classes
- QQmlPropertyValueSource
- Qt 6.10.1 Reference Documentation

# QQmlPropertyValueSource Class

The QQmlPropertyValueSource class is an interface for property value sources such as animations and bindings. More...

Header: | `#include <QQmlPropertyValueSource>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Qml)` `target_link_libraries(mytarget PRIVATE Qt6::Qml)`
qmake: | `QT += qml`

- List of all members, including inherited members

## Public Functions

| QQmlPropertyValueSource()
virtual | ~QQmlPropertyValueSource()
virtual void | setTarget(const QQmlProperty &property) = 0

## Detailed Description

See Property Value Sources for information on writing custom property value sources.

## Member Function Documentation

### QQmlPropertyValueSource::QQmlPropertyValueSource()

Constructs a QQmlPropertyValueSource.

### `[virtual noexcept]` QQmlPropertyValueSource::~QQmlPropertyValueSource()

Destroys the value source.

### `[pure virtual]` void QQmlPropertyValueSource::setTarget(const QQmlProperty &property)

Set the target property for the value source. This method will be called by the QML engine when assigning a value source.